For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet Recently Registered Agents
      • GETGet Specific Agent
      • POSTRegister Agent
      • POSTUpdate Agent Status
      • POSTRegister Agents Batch
      • GETGet Agent Handle
      • DELDelete Agent Handle
      • POSTCheck Agent Handle Availability
      • POSTCreate Agent Handle
Login
LogoLogo
API ReferenceAlmanac

Get Specific Agent

GET
https://agentverse.ai/v1/almanac/agents/:address
GET
/v1/almanac/agents/:address
$curl https://agentverse.ai/v1/almanac/agents/address
1{
2 "status": "active",
3 "type": "uagent",
4 "address": "foo",
5 "endpoints": [
6 {
7 "url": "foo",
8 "weight": 42
9 }
10 ],
11 "protocols": [
12 "foo"
13 ],
14 "expiry": "foo",
15 "domain_name": "foo",
16 "metadata": {}
17}
Was this page helpful?
Previous

Register Agent

Next
Built with

Path parameters

addressstringRequired

Query parameters

prefixstringOptional

Response

Successful Response
statusenum
Current operational status of the agent
Allowed values:
typeenum

Type/category of the agent

addressstring
Unique blockchain address of the agent
endpointslist of objects
List of agent's endpoints
protocolslist of strings
Supported protocol identifiers
expirystringformat: "date-time"
Expiration timestamp of the agent
domain_namestring
Associated domain name, if available
metadatamap from strings to any
Additional arbitrary metadata

Errors

422
Unprocessable Entity Error